Bug 828460 - SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from 'setattr' accesses on the directory at-spi2.
SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from 'setattr' ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:6ed873a39639abf14a8807b1dff...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 14:40 EDT by Jose Mendoza
Modified: 2012-06-22 06:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 06:53:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Mendoza 2012-06-04 14:40:54 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           Mon 04 Jun 2012 11:40:43 AM PDT

description:
:SELinux is preventing /usr/lib64/nspluginwrapper/npviewer.bin from 'setattr' accesses on the directory at-spi2.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that npviewer.bin should be allowed setattr access on the at-spi2 directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep npviewer.bin /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:xdm_tmp_t:s0
:Target Objects                at-spi2 [ dir ]
:Source                        npviewer.bin
:Source Path                   /usr/lib64/nspluginwrapper/npviewer.bin
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           nspluginwrapper-1.4.4-9.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.7-1.fc17.x86_64 #1 SMP Mon May 21 22:32:19 UTC
:                              2012 x86_64 x86_64
:Alert Count                   18
:First Seen                    Fri 01 Jun 2012 02:06:56 PM PDT
:Last Seen                     Mon 04 Jun 2012 11:38:19 AM PDT
:Local ID                      02d5b960-70bd-4ca8-a344-0ae7d7335a44
:
:Raw Audit Messages
:type=AVC msg=audit(1338835099.299:287): avc:  denied  { setattr } for  pid=1791 comm="npviewer.bin" name="at-spi2" dev="dm-1" ino=262420 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_tmp_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1338835099.299:287): arch=x86_64 syscall=chmod success=no exit=EACCES a0=7fa61288f761 a1=3ff a2=11 a3=7fff882ee010 items=0 ppid=1686 pid=1791 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=npviewer.bin exe=/usr/lib64/nspluginwrapper/npviewer.bin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: npviewer.bin,mozilla_plugin_t,xdm_tmp_t,dir,setattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-06-04 16:03:03 EDT
This should be dontaudited.

Note You need to log in before you can comment on or make changes to this bug.